Request

Response

    Projects
    GET

    projects/{projectId}/costs

    Retrieves the indirect cost items for the specified BuildingConnected Pro project. Indirect costs are budget line items that are not tied to a specific bid package.

    Resource Information

    Method and URI
    GET
    https://developer.api.autodesk.com/construction/buildingconnected/v2/projects/{projectId}/costs
    Authentication Context
    User context required
    Required OAuth Scopes
    data:read
    Data Format
    JSON

    Request

    Headers

    Authorization*
    string
    Must be Bearer <token>, where <token> is a three-legged access token obtained via an Authorization Code flow.
    * Required

    Request

    URI Parameters

    projectId
    string
    The ID of a BuildingConnected project.

    Request

    Query String Parameters

    cursorState
    string
    An opaque cursor token that identifies where the next page of paginated results should start. It’s returned in each paginated response so that it can be provided in the next request to continue paginated results. If a paginated response contains no cursorState value, there are no further pages to return.

    Omit this parameter to initiate a paginated request or to restart pagination.

    limit
    int
    The maximum number of records that the endpoint may return per page.

    Note that a returned page may contain fewer records than the limit under either of these conditions:

    • There are fewer records found than the limit value.
    • The last page of a set is returned.

    Default value: 100

    Response

    HTTP Status Code Summary

    200
    OK
    OK
    400
    Bad Request
    The parameters of the requested operation are invalid.
    401
    Unauthorized
    The provided bearer token is not valid.
    403
    Forbidden
    The user or service represented by the bearer token does not have permission to perform this operation.
    404
    Not Found
    The requested resource could not be found.
    429
    Too Many Requests
    Rate limit exceeded; wait some time before retrying. The ‘Retry-After’ header might provide the amount of the time to wait.
    500
    Internal Server Error
    An unknown error occurred on the server.

    Response

    Body Structure (200)

    Expand all
    pagination
    object
    The pagination details of a response.
    limit
    int
    The maximum number of records to return per page.

    Note that a returned page may contain fewer records than the limit under either of these conditions:

    • There are fewer records found than the limit value.
    • The last or only page is returned.
    cursorState
    string
    An opaque cursor token that identifies where the next page of paginated results should start. It’s returned in each paginated response so that it can be provided in the next request to continue paginated results. If a paginated response contains no cursorState value, there are no further pages to return.

    Omit this parameter to initiate a paginated request or to restart pagination.

    nextUrl
    string
    The URL path that returns the next page of data.
    results
    array: object
    Information about the costs associated with a project.
    id
    string
    The unique ID of the cost.

    Max length: 24

    section
    string
    The project section to which the cost applies.
    code
    string
    An identifying code associated with the cost.
    name
    string
    The name of the cost.
    calculationType
    enum:string
    The method by which the cost is calculated. Possible values:
    • LUMP_SUM
    • PERCENTAGE
    • RATE
    calculation
    one of
    The calculation data for the cost and calculationType.
    0
    object
    The calculation data for the LUMP_SUM type.
    amount
    number
    The lump sum amount in the specified project.defaultCurrency.
    1
    object
    The calculation data for the PERCENTAGE type.
    percent
    number
    The percentage to apply (with 0 being 0% and 1 being 100%).
    2
    object
    The calculation data for the RATE type.
    rate
    number
    The per-unit amount (the rate).
    quantity
    number
    The quantity of units.
    unitType
    enum:string
    The type of unit. Possible values: HOUR, DAY, WEEK, MONTH, EACH, ACRE, AMP, BOARD_FT, CUBIC_FT, CUBIC_METER, CUBIC_YARD, FLOOR, GALLON, GROSS_SQFT, KILOGRAM, LINEAR_FT, LINEAR_METER, LINEAR_YARD, LITER, LOT, METRIC_TON, POUNDS, RISER, SQUARE_FT, SQUARE_METER, SQUARE_INCH, SQUARE_YARD, STALL, STOPS, TON, WATT

    Example

    OK

    Request

    curl -v 'https://developer.api.autodesk.com/construction/buildingconnected/v2/projects/:projectId/costs' \
      -H 'Authorization: Bearer AuIPTf4KYLTYGVnOHQ0cuolwCW2a'
    

    Response

    {
      "pagination": {
        "limit": 100,
        "cursorState": "eyJsaW1pdCI6MjUsIm9mZnNldCI6MjV9",
        "nextUrl": "https://developer.api.autodesk.com/construction/buildingconnected/v2/projects?cursorState=eyJsaW1pdCI6MjUsIm9mZnNldCI6MjV9"
      },
      "results": [
        {
          "id": "61a104b87e392d56e1e4b4ad",
          "section": "Insurance",
          "code": "1234",
          "name": "Insurance Cost",
          "calculationType": "LUMP_SUM",
          "calculation": {
            "amount": 1000
          }
        }
      ]
    }
    
    Show More